Subject: [PATCH 0/5] Kconfig cleanup revisited

From: Arnd Bergmann <[email-masked]>
Date: Thu, 12 Jul 2007 23:01:56 +0200

Since this was brought up by Mark, here is a resend of the
Kconfig cleanup patches that have not been merged so far,
with updates for the comments I received.

I stumbled over another bug in the process, and fear I have
found a can of worms there (not opened yet): There are
still many files under arch/powerpc that include headers
from include/asm-ppc/. Most of these includes can simply
be removed, but some are real bugs, where generic code still
relies on board-specific macro definitions.

	Arnd <><

--